# fn() clearAllBits
Set all bits to 0.

Defined in | <seqan/misc/bit_twiddling.h>
Signature | `void clearAllBits(word);`

## Parameters

`word` | The word to clear all bits of (IntegerConcept).

## Data Races

Thread safety unknown!

#### Dox Sources

    /*!
     * @fn clearAllBits
     *
     * @headerfile <seqan/misc/bit_twiddling.h>
     *
     * @brief Set all bits to 0.
     *
     * @signature void clearAllBits(word);
     *
     * @param[in,out] word The word to clear all bits of (@link IntegerConcept
     *                     @endlink).
     */